Bug 90464 - [EFL] [WK2] ASSERTION FAILED: !HashTranslator::equal(KeyTraits::emptyValue(), key)
Summary: [EFL] [WK2] ASSERTION FAILED: !HashTranslator::equal(KeyTraits::emptyValue(),...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sudarsana Nagineni (babu)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-03 08:48 PDT by Sudarsana Nagineni (babu)
Modified: 2012-07-12 03:26 PDT (History)
8 users (show)

See Also:


Attachments
patch (1.36 KB, patch)
2012-07-03 09:54 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sudarsana Nagineni (babu) 2012-07-03 08:48:56 PDT
Assertion failure on exit in debug build:

(gdb) bt
#0  0x00007f50e7a46321 in WTF::HashTable<int, std::pair<int, WTF::OwnPtr<_Ecore_Timer> >, WTF::PairFirstExtractor<std::pair<int, WTF::OwnPtr<_Ecore_Timer> > >, WTF::IntHash<unsigned int>, WTF::HashMapValueTraits<WTF::HashTraits<int>, WTF::HashTraits<WTF::OwnPtr<_Ecore_Timer> > >, WTF::HashTraits<int> >::checkKey<WTF::HashMapTranslator<WTF::HashMapValueTraits<WTF::HashTraits<int>, WTF::HashTraits<WTF::OwnPtr<_Ecore_Timer> > >, WTF::IntHash<unsigned int> >, int> (this=0xe61508, key=@0x7f50e7d3f998: 0) at WebKit/Source/WTF/wtf/HashTable.h:498
#1  0x00007f50e7a45cd3 in WTF::HashTable<int, std::pair<int, WTF::OwnPtr<_Ecore_Timer> >, WTF::PairFirstExtractor<std::pair<int, WTF::OwnPtr<_Ecore_Timer> > >, WTF::IntHash<unsigned int>, WTF::HashMapValueTraits<WTF::HashTraits<int>, WTF::HashTraits<WTF::OwnPtr<_Ecore_Timer> > >, WTF::HashTraits<int> >::add<WTF::HashMapTranslator<WTF::HashMapValueTraits<WTF::HashTraits<int>, WTF::HashTraits<WTF::OwnPtr<_Ecore_Timer> > >, WTF::IntHash<unsigned int> >, int, WTF::PassOwnPtr<_Ecore_Timer> > (this=0xe61508, key=@0x7f50e7d3f998: 0, extra=...) at WebKit/Source/WTF/wtf/HashTable.h:688
#2  0x00007f50e7a455da in WTF::HashMap<int, WTF::OwnPtr<_Ecore_Timer>, WTF::IntHash<unsigned int>, WTF::HashTraits<int>, WTF::HashTraits<WTF::OwnPtr<_Ecore_Timer> > >::inlineAdd (this=0xe61508, 
    key=@0x7f50e7d3f998: 0, mapped=...) at WebKit/Source/WTF/wtf/HashMap.h:335
#3  0x00007f50e7a450f1 in WTF::HashMap<int, WTF::OwnPtr<_Ecore_Timer>, WTF::IntHash<unsigned int>, WTF::HashTraits<int>, WTF::HashTraits<WTF::OwnPtr<_Ecore_Timer> > >::set (this=0xe61508, 
    key=@0x7f50e7d3f998: 0, mapped=...) at WebKit/Source/WTF/wtf/HashMap.h:342
#4  0x00007f50e7a44b25 in WorkQueue::dispatchAfterDelay(WTF::Function<void ()> const&, double) (this=0xe613f8, function=..., delay=10) at WebKit/Source/WebKit2/Platform/efl/WorkQueueEfl.cpp:171
#5  0x00007f50e78ce8d0 in WebKit::ChildProcess::didCloseOnConnectionWorkQueue (workQueue=...) at WebKit/Source/WebKit2/Shared/ChildProcess.cpp:99
#6  0x00007f50e78c3db2 in CoreIPC::Connection::connectionDidClose (this=0xe613c0) at WebKit/Source/WebKit2/Platform/CoreIPC/Connection.cpp:586
#7  0x00007f50e7a49398 in CoreIPC::Connection::readyReadHandler (this=0xe613c0) at WebKit/Source/WebKit2/Platform/CoreIPC/unix/ConnectionUnix.cpp:396
#8  0x00007f50e78ce40c in WTF::FunctionWrapper<void (CoreIPC::Connection::*)()>::operator() (this=0xe632e0, c=0xe613c0) at WebKit/Source/WTF/wtf/Functional.h:173
#9  0x00007f50e78ce212 in WTF::BoundFunctionImpl<WTF::FunctionWrapper<void (CoreIPC::Connection::*)()>, void (CoreIPC::Connection*)>::operator()() (this=0xe632d0)
    at WebKit/Source/WTF/wtf/Functional.h:405
#10 0x00007f50e7a1a04a in WTF::Function<void ()>::operator()() const (this=0xe61500) at WebKit/Source/WTF/wtf/Functional.h:613
#11 0x00007f50e7a44702 in WorkQueue::performFileDescriptorWork (this=0xe613f8) at WebKit/Source/WebKit2/Platform/efl/WorkQueueEfl.cpp:104
#12 0x00007f50e7a44788 in WorkQueue::workQueueThread (workQueue=0xe613f8) at WebKit/Source/WebKit2/Platform/efl/WorkQueueEfl.cpp:118
#13 0x00007f50e3c58671 in WTF::threadEntryPoint (contextData=0xe61760) at WebKit/Source/WTF/wtf/Threading.cpp:69
#14 0x00007f50e3c7abc4 in WTF::wtfThreadEntryPoint (param=0xe30950) at WebKit/Source/WTF/wtf/ThreadingPthreads.cpp:162
#15 0x00007f50e6e65e9a in start_thread (arg=0x7f5094a99700) at pthread_create.c:308
#16 0x00007f50e716d4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()
(gdb)
Comment 1 Sudarsana Nagineni (babu) 2012-07-03 09:54:49 PDT
Created attachment 150632 [details]
patch

Do not use 0 as a key in the HashMap.
Comment 2 Ryuan Choi 2012-07-04 01:24:03 PDT
LGTM. thank you.
Comment 3 Daniel Bates 2012-07-09 11:25:31 PDT
Comment on attachment 150632 [details]
patch

OK
Comment 4 WebKit Review Bot 2012-07-09 12:27:54 PDT
Comment on attachment 150632 [details]
patch

Clearing flags on attachment: 150632

Committed r122136: <http://trac.webkit.org/changeset/122136>
Comment 5 WebKit Review Bot 2012-07-09 12:28:00 PDT
All reviewed patches have been landed.  Closing bug.